<?php
/**
 * @version		$Id: pagination.php 10381 2008-06-01 03:35:53Z pasamio $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * This is a file to add template specific chrome to pagination rendering.
 *
 * pagination_list_footer
 *	 Input variable $list is an array with offsets:
 *		 $list[limit]		: int
 *		 $list[limitstart]	: int
 *		 $list[total]		: int
 *		 $list[limitfield]	: string
 *		 $list[pagescounter]	: string
 *		 $list[pageslinks]	: string
 *
 * pagination_list_render
 *	 Input variable $list is an array with offsets:
 *		 $list[all]
 *			 [data]		: string
 *			 [active]	: boolean
 *		 $list[start]
 *			 [data]		: string
 *			 [active]	: boolean
 *		 $list[previous]
 *			 [data]		: string
 *			 [active]	: boolean
 *		 $list[next]
 *			 [data]		: string
 *			 [active]	: boolean
 *		 $list[end]
 *			 [data]		: string
 *			 [active]	: boolean
 *		 $list[pages]
 *			 [{PAGE}][data]		: string
 *			 [{PAGE}][active]	: boolean
 *
 * pagination_item_active
 *	 Input variable $item is an object with fields:
 *		 $item->base	: integer
 *		 $item->link	: string
 *		 $item->text	: string
 *
 * pagination_item_inactive
 *	 Input variable $item is an object with fields:
 *		 $item->base	: integer
 *		 $item->link	: string
 *		 $item->text	: string
 *
 * This gives template designers ultimate control over how pagination is rendered.
 *
 * NOTE: If you override pagination_item_active OR pagination_item_inactive you MUST override them both
 */

function pagination_list_footer($list)
{
	// Initialize variables
	$lang =& JFactory::getLanguage();
	$html = "<div class=\"list-footer\">\n";

	$html .= "\n<div class=\"limit\">".JText::_('Display Num').$list['limitfield']."</div>";
	$html .= $list['pageslinks'];
	$html .= "\n<div class=\"counter\">".$list['pagescounter']."</div>";

	$html .= "\n<input type=\"hidden\" name=\"limitstart\" value=\"".$list['limitstart']."\" />";
	$html .= "\n</div>";

	return $html;
}

function pagination_list_render($list)
{
	// Initialize variables
	$lang =& JFactory::getLanguage();

	$html = "<ul class=\"pagination\">";
		
	$html .= $list['start']['data'];
	$html .= $list['previous']['data'];

	//Inicio Modificacion
	//Autor: Jhon Marreros G.
	$cantidadMostrar= 5; //<--Cambiar este número
	$ar = array();
	$item_inactivo=0;
	$cont=0;
	
	foreach( $list['pages'] as $page )
	{	
		if (!$page['active']) $item_inactivo = $cont;
		$cont++;
		$ar[] = $page['data'];

	}
	
	$html .= mostrarSubpaginacion($cantidadMostrar,$item_inactivo,$ar);
	
	//Fin - Modificacion
	
	$html .= $list['next']['data'];
	$html .= $list['end']['data'];

	$html .= "</ul>";
	return $html;
}

function pagination_item_active(&$item) {
	return "<li><strong><a href=\"".$item->link."\" title=\"".$item->text."\">".$item->text."</a></strong></li>";
}

function pagination_item_inactive(&$item) {
	return "<li>".$item->text."</li>";
}

//Funcion para mostrar parte de los números de paginación
//Autor : Jhon Marreros G.
//Mail : admin@monitojoomla.com
function mostrarSubpaginacion($cantidadMostrar,$posInactivo,$ar){
	$ar_final=array();
	$cont=1;
	$offset=1;
	$html="";
	
	//agregamos el item por defecto
	$ar_final[]=$ar[$posInactivo];
	
	//consistencia
	if ($cantidadMostrar>count($ar)) $cantidadMostrar=count($ar);
	
	//formamos la subpaginación a mostrarse en el array: ar_final
	while($cont<$cantidadMostrar){
		
		if(array_key_exists($offset + $posInactivo,$ar)){
			$ar_final[] = $ar[$offset + $posInactivo];
			$cont++;
		}
		
		if (array_key_exists($posInactivo-$offset,$ar) && $cont<$cantidadMostrar){
			array_unshift($ar_final,$ar[$posInactivo-$offset]);
			$cont++;
		}
		$offset++;
	}
	//formamos la cadena con los elementos del array ar_final
	for ($i=0;$i<count($ar_final);$i++){
		$html .= $ar_final[$i];
	}
	return $html;
}

?>